GH-RUN-RERUN(1)

NAME

gh-run-rerun - Rerun a run

SYNOPSIS

gh run rerun [<run-id>] [flags]

DESCRIPTION

Rerun an entire run, only failed jobs, or a specific job from a run.

Note that due to historical reasons, the --job flag may not take what you expect. Specifically, when navigating to a job in the browser, the URL looks like this: https://github.com/<owner>/<repo>/actions/runs/<run-id>/jobs/<number>.

However, this <number> should not be used with the --job flag and will result in the API returning 404 NOT FOUND. Instead, you can get the correct job IDs using the following command:
    gh run view <run-id> --json jobs --jq '.jobs[] | {name, databaseId}'

OPTIONS

-d, --debug
    Rerun with debug logging

--failed
    Rerun only failed jobs, including dependencies

-j, --job <string>
    Rerun a specific job from a run, including dependencies

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

SEE ALSO

gh-run(1)